[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] Is there a equinox.http.servlet version that supports javax.servlet version 3.1

Of particular interest to me would be reports of any issues using websocket, with perhaps some sample code reproducing those issues we could convert into test cases. :)

I haven't had time to test those features, but since they don't really touch the parts needed to implement http whiteboard I'm hopeful that stuff all just works (of course that is rarely the case).

Sincerely,
- Ray


On Mon, Mar 30, 2015 at 9:05 AM, Thomas Watson <tjwatson@xxxxxxxxxx> wrote:
In the Luna release we increased the ranges to allow equinox.http.servlet to work with a 3.1 container. Âhttps://bugs.eclipse.org/bugs/show_bug.cgi?id=430444

You can find the latest Luna release at http://download.eclipse.org/equinox/drops/R-LunaSR2-201502041700/index.php

Note that in the upcoming Mars release we officially support Jetty 9 which implements servlet 3.1. We also implement the latest http whiteboard specification in the Mars builds. ÂIf you have some time it would be great if you could checkout the latest Mars builds in your environment to catch any blockers before we finalize the Mars release.

Tom





From: Â Â Â ÂThusitha Thilina Dayaratne <thusithad@xxxxxxxx>
To: Â Â Â Âequinox-dev@xxxxxxxxxxx
Date: Â Â Â Â03/30/2015 07:55 AM
Subject: Â Â Â Â[equinox-dev] Is there a equinox.http.servlet version that supports javax.servlet version 3.1
Sent by: Â Â Â Âequinox-dev-bounces@xxxxxxxxxxx




Hi,

Currently I'm using following dependency in a project which uses embedded tomcat version 7.0.59
<dependency>
    Â<groupId>org.eclipse.equinox</groupId>
    Â<artifactId>org.eclipse.equinox.http.servlet</artifactId>
    Â<version>1.1.400.v20130418-1354</version>
</dependency>

I'm in the process of migrating the app to Tomcat 8.0.20. In the above dependency it importsÂjavax.servlet;version="[2.3.0,3.1)" But since Tomcat 8 supports JSP 2.3 and servlet 3.1, is there a new version of this which supports javax.servlet version 3.1

Thanks
Best Regards
/ThusithaÂ

--
Thusitha Dayaratne
Software Engineer
WSO2 Inc. - lean . enterprise . middleware |ÂÂwso2.com

Mobile Â+94712756809
Blog   Âalokayasoya.blogspot.com
About  Âhttp://about.me/thusithathilina
_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/equinox-dev

_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/equinox-dev



--
Raymond AugÃÂ(@rotty3000)
Senior Software ArchitectÂLiferay, Inc.Â(@Liferay)
Board Member & EEG Co-Chair, OSGi Alliance (@OSGiAlliance)